Package org.eclipse.cdt.core.settings.model

# Interface ICSettingObject

All Superinterfaces:
  `ICSettingBase`

All Known Subinterfaces:
  `ICBuildSetting`, `ICConfigurationDescription`, `ICFileDescription`, `ICFolderDescription`, `ICLanguageSetting`, `ICMultiConfigDescription`, `ICMultiFolderDescription`, `ICMultiResourceDescription`, `ICProjectDescription`, `ICResourceDescription`, `ICTargetPlatformSetting`

All Known Implementing Classes:
  `MultiLanguageSetting`

public interface ICSettingObject extends ICSettingBase
this is the common super-class for all ICProjectDescription model elements

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Method Summary

Modifier and Type
Method
Description
`ICConfigurationDescription`
`getConfiguration()`
`String`
`getId()`
`String`
`getName()`
`ICSettingContainer`
`getParent()`
`int`
`getType()`
`boolean`
`isReadOnly()`
`boolean`
`isValid()`

## Method Details

### getId

String getId()

Returns:
  the unique id of this element

### getName

String getName()

Returns:
  the name of this element

### getType

int getType()

Returns:
  constant representing the setting type can be one of the following: `ICSettingBase.SETTING_PROJECT` `ICSettingBase.SETTING_CONFIGURATION` `ICSettingBase.SETTING_FOLDER` `ICSettingBase.SETTING_FILE` `ICSettingBase.SETTING_LANGUAGE` `ICSettingBase.SETTING_TARGET_PLATFORM` `ICSettingBase.SETTING_BUILD`

### isValid

boolean isValid()

Returns:
  true if the given object is valid, false - otherwise the object can be invalid, e.g. in case it was removed

### getConfiguration

ICConfigurationDescription getConfiguration()

Returns:
  the configuration description this object belongs to

### getParent

ICSettingContainer getParent()

Returns:
  the object parent

### isReadOnly

boolean isReadOnly()

Returns:
  true if the object is read-only, false - otherwise